package cn.com.ctop.manage.modules.actor.service;

import cn.com.ctop.manage.modules.actor.entity.ActorComment;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IActorCommentService extends IService<ActorComment> {
    List<JSONObject> getCityList();

    List<JSONObject> getTagList();

    String getCityName(Integer actorCityId);

    String geTagName(Long integer);

    void addTag(Long id, Long tagId, String tagName);

    List<Long> getTagListBy(Long actorId);

    List<String> getTagsNames(Long id);

    void deleteTagByActorId(Long id);

    List<Long> getActorIds(List<Long> tagIds);
}
